struc.error generating dafult SDK with SAMA4D3

This forum is for users of Microchip MPUs and who are interested in using Linux OS.

Moderator: nferre

lachlanp
Posts: 28
Joined: Sun Jan 28, 2007 9:41 am

struc.error generating dafult SDK with SAMA4D3

Fri Jul 15, 2016 5:22 pm

I follow the standard instructions on the website to generate the poky build.
I run $ bitbake atmel-qt5-demo-image and all seems fine
I run $ bitbake atmel-qt5-demo-image -c populate_sdk and this builds the sdk script.
when i run the generated script (poky-atmel-glibc-x86_64-atmel-qt5-demo-image-cortexa5hf-vfp-toolchain-2.0.2.sh) I get the follwing error:

Extracting SDK.................done
Setting it up...Traceback (most recent call last):
File "/opt/poky/2.0.2/relocate_sdk.py", line 243, in <module>
change_dl_sysdirs()
File "/opt/poky/2.0.2/relocate_sdk.py", line 125, in change_dl_sysdirs
sh_offset, sh_size = struct.unpack("<16xII16x", sh_hdr)
struct.error: unpack requires a string argument of length 40
SDK could not be set up. Relocate script failed. Abort!

I have not done anything to change the git provided source.

Can anyton advise how I can move forward to generate the SDK or development purposes?
Thanks
Lachkan
MD123
Posts: 1
Joined: Sun Dec 06, 2020 3:26 pm

Re: struc.error generating dafult SDK with SAMA4D3

Sun Dec 06, 2020 3:33 pm

Hello,

I am getting exactly the same error. I have a working toolchain installer without that error, but I dont know
what change made that happen. I tried to set all my sources back to the date when that installer was created, no success.

Doas any one have an soultion?

Best regards,
Michael

Return to “LINUX”

Who is online

Users browsing this forum: No registered users and 10 guests